import request from '@/utils/request'
import store from '@/store'

const BASE_URL = store.getters.request_config_baseUrl;

// 获取风险预警列表
export function getBigScreenMessage(data) {
    return request({
        url: BASE_URL + '/3rd/bigScreenData/bigScreenMessage',
        method: 'get',
        params: data
    })
}
// 获取中间地图导航栏
export function getMapList(data) {
    return request({
        url: BASE_URL + '/3rd/bigScreenData/getMapList',
        method: 'get',
        params: data
    })
}
// 获取地图里面的点、线、面
export function getRiskPointList(data) {
    return request({
        url: BASE_URL + '/3rd/bigScreenData/riskPointList',
        method: 'get',
        params: data
    })
}

// 获取风险点详情
export function getRiskPointDetails(data) {
    return request({
        url: BASE_URL + '/3rd/bigScreenData/getRiskPointDetails',
        method: 'get',
        params: data
    })
}